include ../icon/icon
include ../button/button

include ../slider/slider

mixin menu(data)

	- data = data || {}
	- activeItem = false

	+b.menu(
		class= data.short ? '_short' : ''
	).js-menu&attributes(attributes)
		+e.top
			each el in data.items
				if el.active
					- activeItem = true
				+e.item(
					class= el.active ? "_active" : ""
				)
					+e.item-link(
						href= el.link || jv0
					).A
						+e.item-icon
							+e.item-icon-img(
								src= el.img
							)
						+e.item-name= el.name
			+button({"text": "Ещё"}).menu__top-more.js-menu-top-more

		+e.bottom(
			class= activeItem ? "" : "_filter-only"
		)
			if activeItem
				+e.sub.js-menu-sub
					each el in data.items
						if el.active
							each item in el.links
								+e.sub-item.js-menu-sub-item
									+e.sub-item-link(
										class= item.active ? "_active" : ""
										href= item.link || jv0
									)= item.name
					+e.hidden.js-menu-sub-hidden
						+e.hidden-dots
						+e.hidden-wrap.js-menu-sub-hidden-wrap

			+e.filter(
				action= data.filter.action
			).FORM.js-menu-form
				+e.filter-check
					each el in data.filter.milk
						+e.filter-check-el.js-menu-filter-item
							+field(el).field_checkbox-small

					+e.hidden.js-menu-filter-hidden
						+e.hidden-dots
						+e.hidden-wrap.js-menu-filter-hidden-wrap

				+e.filter-slider.js-menu-filter-slider
					+e.filter-slider-wrap
						+e.filter-slider-title Жирность
						- start = data.filter.slider.start.value
						- end = data.filter.slider.end.value
						+e.filter-slider-params.js-menu-fat-val= start + ".." + end + " %"
					+e.filter-slider-slider
						+slider(data.filter.slider)
